Subject: Re: macvtap performs IP defragmentation, causing MTU problems for virtual machines

From: Florian Westphal <[email-masked]>
Date: Wed, 4 Oct 2023 10:00:37 +0200

Henrik Lindström <[email-masked]> wrote:
> Had to change "return 0" to "return vif" but other than that your changes
> seem to work, even with macvlan defragmentation removed.

Oh, right, that should have been "return vid" indeed.

> I tested it by sending 8K fragmented multicast packets, with 5 macvlans on
> the receiving side. I consistently received 6 copies of the packet (1 from the
> real interface and 1 per macvlan). While doing this i had my VM running with
> a macvtap, and it was receiving fragmented packets as expected.
> 
> Here are the changes i was testing with, first time sending a diff over mail
> so hope it works :-)

Can you submit this formally, with proper changelog and Signed-off-by?
See scripts/checkpatch.pl in the kernel tree.

It might be a good idea to first mail the patch to yourself and see if
you can apply it (sometimes tabs get munged into spaces, long lines get
broken, etc).

You could also mention in changelog that this is ipv4 only because
ipv6 already considers the interface index during reassembly.

Thanks!